de.esprit.netsuite.server.config

## Class OptionServerWorkspaceDir

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.clp.CommandLineOption<java.io.File>
    - - de.esprit.common.clp.AbstractPathOption
      - - de.esprit.common.clp.AbstractDirectoryOption
        - - de.esprit.netsuite.server.config.OptionServerWorkspaceDir

- All Implemented Interfaces:
    Dumpable

      public class OptionServerWorkspaceDir
      extends AbstractDirectoryOption

  This is the -workspace option defining workspace-directory of the server
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `OPTION_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OptionServerWorkspaceDir()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkValue()` Performs additional checks on the entered option value (i.e. file existence etc..)

    - ### Methods inherited from class de.esprit.common.clp.AbstractDirectoryOption

      `isDoCreate, setDoCreate`

    - ### Methods inherited from class de.esprit.common.clp.AbstractPathOption

      `getValue, isMustExist, parseValue, setMustExist`

    - ### Methods inherited from class de.esprit.common.clp.CommandLineOption

      `equals, getArgumentName, getDefaultValue, getEnvVariableName, getEnvVariableValue, getHelpText, getOption, getOptionAndArgument, getStringValue, hasArgument, hashCode, isMandatory, isPrintHelp, isPrintSyntax, isSecret, isValueTakenFromEnvVariable, parseDefaultValue, parseValue, setDefaultValue, setEnvVariableName, setFound, setHelpText, setMandatory, setPrintHelp, setPrintSyntax, setSecret, setStringValue, toDumpString, toString, wasFound`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### OPTION_NAME

          public static final java.lang.String OPTION_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OptionServerWorkspaceDir

          public OptionServerWorkspaceDir()

  - ### Method Detail

    - #### checkValue

          public void checkValue()
                          throws java.lang.Exception

      Description copied from class: `CommandLineOption`
      Performs additional checks on the entered option value (i.e. file existence etc..) If the option value is null but a defaultValue is defined then the latter is applied. The option may also check its dependencies of other options.
      Overrides:
        `checkValue` in class `AbstractDirectoryOption`
      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.